org.eclipse.wst.jsdt.chromium

## Interface DebugEventListener.VmStatusListener

Enclosing interface:
  DebugEventListener

    public static interface DebugEventListener.VmStatusListener

A specialized listener for status of remote VM command queue. After we have sent a request and before VM answers, it is considered busy processing this request.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `busyStatusChanged(java.lang.String currentRequest, int numberOfEnqueued)` Reports a new status of remote VM.

### Method Detail

#### busyStatusChanged

    void busyStatusChanged(java.lang.String currentRequest,
                           int numberOfEnqueued)

Reports a new status of remote VM.

Parameters:
  `currentRequest` - name of the oldest request that hasn't been answered yet or null
  `numberOfEnqueued` - number of requests that are expected to be waiting in VM queue; does not make sense if currentRequest is null